<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $table = 'products'; // Nome da tabela no banco de dados
    protected $primaryKey = 'id_product'; // Nome da chave primária
    public $timestamps = true; // Se timestamps forem usados



    protected $fillable = [
        'name',
        'description',
        'price',
        'image',
        'category',
        'fragrance',
        'burn_time',
        'weight',
        'images', // Campo para armazenar o JSON das imagens
        'main_image', // Campo para a imagem principal
        'is_promotion', // Indica se o produto está em promoção
        'discount_percentage', // Percentual de desconto
    ];

    protected $casts = [
        'images' => 'array',
    ];
    public function orders()
{
    return $this->belongsToMany(Order::class, 'order_product')
        ->withPivot('quantity', 'price')
        ->withTimestamps();
}

}
