<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Produto extends Model
{
    use HasFactory;

    // Nome da tabela no banco de dados (opcional, se seguir o padrão "produtos")
    protected $table = 'produtos';

    // Campos que podem ser preenchidos no banco de dados
    protected $fillable = [
        'nome',
        'valor',
        'peso',
        'tipo',
        'imagem',
        'estoque',
    ];

    // Se precisar de casts para certos campos
    protected $casts = [
        'valor' => 'decimal:2',
    ];
    public function recheios()
    {
        return $this->belongsToMany(Recheio::class, 'produto_recheio')->withPivot('quantidade');
    }
}