<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Recheio extends Model
{
    use HasFactory;

    protected $table = 'recheios';
    protected $fillable = ['sabor', 'valor', 'mao_de_obra'];

    // Relacionamento com os produtos
    public function produtos()
    {
        return $this->belongsToMany(Produto::class, 'produto_recheio')->withPivot('quantidade');
    }

    // Método para calcular o valor total de um recheio
    public function calcularValorTotal()
    {
        $valorProdutos = $this->produtos->sum(function ($produto) {
            return $produto->valor * $produto->pivot->quantidade;
        });

        return $valorProdutos + $this->mao_de_obra;
    }
}
?>