<?php

namespace App\Providers;

use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use App\Models\CartItem;
use Illuminate\Support\Facades\Auth;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Registre os serviços de aplicação.
     *
     * @return void
     */
    public function boot()
    {
        View::composer('*', function ($view) {
            $userId = Auth::id();

            if (!$userId) {
                $cartItemCount = 0;
            } else {
                $cartItemCount = CartItem::where('user_id', $userId)->where('status', 'in_cart')->sum('quantity');
            }

            // Compartilhar com todas as views
            $view->with('cartItemCount', $cartItemCount);
        });
    }

    /**
     * Registre quaisquer serviços de aplicação.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
