@extends('layouts.admin')

@section('content')
    <div class="container">
        <h2>{{ isset($meioContato) ? 'Editar Meio de Contato' : 'Adicionar Meio de Contato' }}</h2>
        <form
            action="{{ isset($meioContato) ? route('admin.meios_contato.update', $meioContato->id) : route('admin.meios_contato.store') }}"
            method="POST">
            @csrf
            @if (isset($meioContato))
                @method('PUT')
            @endif

            <div class="mb-3">
                <label for="tipo" class="form-label">Tipo</label>
                <input type="text" name="tipo" id="tipo" class="form-control" value="{{ $meioContato->tipo ?? '' }}"
                    required>
            </div>
            <div class="mb-3">
                <label for="descricao" class="form-label">Descrição</label>
                <input type="text" name="descricao" id="descricao" class="form-control"
                    value="{{ $meioContato->descricao ?? '' }}" required>
            </div>
            <div class="mb-3">
                <label for="icone" class="form-label">Ícone (Classe FontAwesome)</label>
                <input type="text" name="icone" id="icone" class="form-control"
                    value="{{ $meioContato->icone ?? '' }}">
            </div>
            <div class="mb-3">
                <label for="ordem" class="form-label">Ordem</label>
                <input type="number" name="ordem" id="ordem" class="form-control"
                    value="{{ $meioContato->ordem ?? '' }}">
            </div>
            <button type="submit" class="btn btn-success">Salvar</button>
        </form>
    </div>
@endsection
