@extends('layouts.main')

@section('content')
    <div class="container">
        <h1 class="title-pag">Itens de Venda</h1>

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <div class="row">
            @foreach ($products as $product)
                <div class="col-md-4 mb-4">
                    <div class="card card-prod">
                        <img src="{{ $product->image }}" class="card-img-top img-prod" alt="{{ $product->name }}">
                        <div class="card-body">
                            <h5 class="card-title">{{ $product->name }}</h5>
                            <p class="card-text">{{ $product->description }}</p>
                            <p class="card-text">R$ {{ number_format($product->price, 2, ',', '.') }}</p>

                            @if (auth()->user() && auth()->user()->is_admin)
                                <div class="d-flex justify-content-between">
                                    <!-- Editar Produto -->
                                    <a href="{{ route('products.edit', $product->id_product) }}"
                                        class="btn btn-warning">Editar</a>

                                    <!-- Desativar Produto -->
                                    <form action="{{ route('products.deactivate', $product->id_product) }}" method="POST"
                                        style="display:inline;">
                                        @csrf
                                        @method('PUT')
                                        <button type="submit" class="btn btn-danger">Desativar</button>
                                    </form>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endsection
