@extends('layouts.main')

@section('content')
    <div class="container">
        <div class="container-produto-creat">
            <h1>Cadastrar Cliente</h1>
            <form action="{{ route('clientes.store') }}" method="POST">
                @csrf
                <div class="mb-3">
                    <label for="nome_cliente" class="form-label">Nome</label>
                    <input type="text" class="form-control" id="nome_cliente" name="nome_cliente" required>
                </div>
                <div class="mb-3">
                    <label for="endereco_cliente" class="form-label">Endereço</label>
                    <input type="text" class="form-control" id="endereco_cliente" name="endereco_cliente" required>
                </div>
                <div class="mb-3">
                    <label for="telefone_contato" class="form-label">Telefone</label>
                    <input type="text" class="form-control" id="telefone_contato" name="telefone_contato" required>
                </div>
                <div class="mb-3">
                    <label for="indicacoes" class="form-label">Indicações</label>
                    <select class="form-control" id="indicacoes" name="indicacoes[]" multiple>
                        @foreach ($clientes as $cliente)
                            <option value="{{ $cliente->id }}">{{ $cliente->nome_cliente }}</option>
                        @endforeach
                    </select>
                    <!-- Campo oculto para garantir o valor inicial -->
                    <input type="hidden" id="indicacoes_hidden" name="indicacoes[]" value="0">
                </div>
                <div class="mb-3">
                    <label for="numero_pedidos" class="form-label">Número de Pedidos</label>
                    <input type="number" class="form-control" id="numero_pedidos" name="numero_pedidos" value="0">
                </div>
                <button type="submit" class="btn btn-primary">Salvar</button>
            </form>


        </div>
    </div>
@endsection
