@extends('layouts.main')

@section('content')
    <div class="container">
        <div class="container-produto-creat">
            <h1>Editar Cliente</h1>
            <form action="{{ route('clientes.update', $cliente->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="aling-itens">

                    <div class="mb-3">
                        <label for="nome_cliente" class="form-label">Nome</label>
                        <input type="text" class="form-control" id="nome_cliente" name="nome_cliente"
                            value="{{ $cliente->nome_cliente }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="endereco_cliente" class="form-label">Endereço</label>
                        <input type="text" class="form-control" id="endereco_cliente" name="endereco_cliente"
                            value="{{ $cliente->endereco_cliente }}" required>
                    </div>

                    <div class="mb-3">
                        <label for="telefone_contato" class="form-label">Telefone</label>
                        <input type="text" class="form-control" id="telefone_contato" name="telefone_contato"
                            value="{{ $cliente->telefone_contato }}" required>
                    </div>
                </div>
                <div class="aling-itens">
                    <div class="mb-3">
                        <label for="indicacoes" class="form-label">Indicações</label>
                        <select class="form-control" id="indicacoes" name="indicacoes[]" multiple>
                            <!-- Marcar os clientes já indicados como selecionados -->
                            @php
                                $selectedIndicacoes = json_decode($cliente->indicacoes ?? '[]', true);
                            @endphp

                            @foreach ($todosClientes as $outroCliente)
                                <option value="{{ $outroCliente->id }}" @if (in_array($outroCliente->id, $selectedIndicacoes)) selected @endif>
                                    {{ $outroCliente->nome_cliente }}
                                </option>
                            @endforeach
                        </select>
                    </div>



                    <div class="mb-3">
                        <label for="numero_pedidos" class="form-label">Número de Pedidos</label>
                        <input type="number" class="form-control" id="numero_pedidos" name="numero_pedidos"
                            value="{{ $cliente->numero_pedidos }}">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Salvar Alterações</button>
            </form>
        </div>
    </div>
@endsection
