@extends('layouts.main')

@section('content')
    <div class="container mt-4">
        <h2 class="title-flconosco">Fale Conosco</h2>
        <p class="info-flconosco">Entre em contato conosco pelos meios abaixo ou preencha o formulário:</p>

        <!-- Meios de Contato -->
        <div class="row mb-4">
            @foreach ($meiosContato as $contato)
                <div class="col-md-4 text-center card-contatos">
                    <ion-icon class="icon-size-contact" name="{{ $contato->icone }}"></ion-icon>
                    <p>{{ $contato->tipo }}: <strong>{{ $contato->descricao }}</strong></p>
                </div>
            @endforeach
        </div>

        <div class="container-flconosco">
            <!-- Formulário de Contato -->
            <form action="{{ route('contato.enviar') }}" method="POST">
                @csrf

                <!-- Mensagem de Sucesso -->
                @if (session('success'))
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
                @endif

                <!-- Campos do Formulário -->
                <div class="mb-3">
                    <label for="nome" class="form-label">Nome</label>
                    <input type="text" name="nome" id="nome" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label for="email" class="form-label">E-mail</label>
                    <input type="email" name="email" id="email" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label for="telefone" class="form-label">Telefone (opcional)</label>
                    <input type="text" name="telefone" id="telefone" class="form-control">
                </div>

                <div class="mb-3">
                    <label for="mensagem" class="form-label">Mensagem</label>
                    <textarea name="mensagem" id="mensagem" rows="5" class="form-control" required></textarea>
                </div>

                <button type="submit" class="btn btn-primary">Enviar Mensagem</button>
            </form>
        </div>
    </div>
@endsection
