<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Divino Pão de Mel</title>
    @vite(['resources/sass/app.scss', 'resources/js/app.js'])

    <style>
        .dropdown:hover .dropdown-menu {
            display: block;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            background-image: url('{{ asset('img/bolo-fundo.webp') }}');
            background-size: cover;
            /* Faz com que a imagem cubra toda a tela */
            background-repeat: no-repeat;
            /* Evita que a imagem se repita */
            background-position: center;
            /* Centraliza a imagem */
            height: 100vh;
            /* Garante que o body tenha 100% da altura da tela */
            margin: 0;
            /* Remove a margem padrão do body */
            color: #000000;
        }

        .navbar {
            margin-top: -20px;
            background-color: wheat;
        }

        h1 {
            text-align: center;
            color: red;
        }

        .container-produto-creat {
            margin-top: 2%;
            border: 2px solid white;
            border-radius: 25px;
            background-color: wheat;
            padding: 25px;
        }

        .aling-itens {
            display: flex;
            justify-content: space-between;
            /* Distribui os itens com espaços iguais */
            flex-wrap: wrap;
            /* Permite que os itens quebrem para uma nova linha se necessário */
            gap: 10px;
            /* Espaçamento entre os itens */
            margin: 10px 0;
            /* Margem superior e inferior */
        }
    </style>


</head>

<body>
    <nav class="navbar navbar-expand-lg ">
        <div class="container">
            <a class="navbar-brand" href="{{ route('welcome') }}">Divino Pão de Mel</a>

            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <!-- Menu Massas -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="{{ route('massas.index') }}" id="massasDropdown"
                            role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Massas
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="massasDropdown">
                            <li><a class="dropdown-item" href="{{ route('massas.create') }}">Cadastrar</a></li>
                            <li><a class="dropdown-item" href="{{ route('massas.index') }}">Consultar</a></li>
                        </ul>
                    </li>
                    <!-- Menu Recheios -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="{{ route('recheios.index') }}" id="recheiosDropdown"
                            role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Recheios
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="recheiosDropdown">
                            <li><a class="dropdown-item" href="{{ route('recheios.create') }}">Cadastrar</a></li>
                            <li><a class="dropdown-item" href="{{ route('recheios.index') }}">Consultar</a></li>
                        </ul>
                    </li>

                    <!-- Menu Tamanhos -->

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="{{ route('clientes.index') }}" id="clientesDropdown"
                            role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Clientes
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="clientesDropdown">
                            <li>
                                <a class="dropdown-item" href="{{ route('clientes.create') }}">Cadastrar</a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{{ route('clientes.index') }}">Consultar</a>
                            </li>
                        </ul>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="{{ route('produtos.index') }}" id="produtosDropdown"
                            role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Produtos
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="produtosDropdown">
                            <li>
                                <a class="dropdown-item" href="{{ route('produtos.index') }}">Listar</a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{{ route('produtos.create') }}">Cadastrar</a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{{ route('produtos.index') }}">Consultar</a>
                            </li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="{{ route('pedidos.index') }}" id="pedidosDropdown"
                            role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Pedidos
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="pedidosDropdown">
                            <li>
                                <a class="dropdown-item" href="{{ route('pedidos.index') }}">Listar</a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{{ route('pedidos.create') }}">Cadastrar</a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{{ route('pedidos.index') }}">Consultar</a>
                            </li>
                        </ul>
                    </li>

                </ul>
            </div>
        </div>
    </nav>

    @yield('content')

</body>

</html>
