<?php


use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ProdutoController;
use App\Http\Controllers\MassaController;
use App\Http\Controllers\RecheioController;

// Rota principal
Route::get('/', function () {
    return view('welcome');
})->name('welcome');

// Rota para a página principal
Route::get('/main', function () {
    return view('main');
})->name('main');

// Rotas para o recurso 'produtos' (inclui create, index, edit, update, show, store, destroy)
Route::resource('produtos', ProdutoController::class);
Route::resource('massas', MassaController::class);
Route::resource('recheios', RecheioController::class);

use App\Http\Controllers\ClienteController;

Route::resource('clientes', ClienteController::class);
use App\Http\Controllers\PedidoController;

Route::post('/pedidos/store-itens', [PedidoController::class, 'storeItens'])->name('pedidos.storeItens');

// Rotas de Pedido
Route::resource('pedidos', PedidoController::class);
Route::get('/pedidos/create', [PedidoController::class, 'create'])->name('pedidos.create');
Route::post('/itens_pedido', [PedidoController::class, 'store'])->name('itens_pedido.store');
Route::put('/pedidos/{id}/close', [PedidoController::class, 'close'])->name('pedidos.close');
Route::get('/pedidos/create', [PedidoController::class, 'create'])->name('pedidos.create');
Route::post('/pedidos/store', [PedidoController::class, 'store'])->name('pedidos.store');
Route::post('/pedidos/additens', [PedidoController::class, 'additens'])->name('pedidos.additens');