<?php $__env->startSection('content'); ?>
    <div class="container">

        <?php if(auth()->user() && auth()->user()->is_admin): ?>
            <p class="card-text">Gerencie os usuários cadastrados no sistema.</p>

            <div class="container py-4">
                <h1 class="text-center">Bem-vindo ao Dashboard</h1>
                <div class="row">
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Usuários</h5>
                                <p class="card-text">Gerencie os usuários cadastrados no sistema.</p>
                                <a href="<?php echo e(route('accounts.index')); ?>" class="btn btn-primary">Gerenciar Usuários</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Produtos</h5>
                                <p class="card-text">Visualize e adicione novos produtos.</p>
                                <a href="<?php echo e(route('itens_vendas.index')); ?>" class="btn btn-primary">Gerenciar Produtos</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Relatórios</h5>
                                <p class="card-text">Acesse relatórios e análises de desempenho.</p>
                                <a href="#" class="btn btn-primary">Ver Relatórios</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php else: ?>
            <h1>Nossas velas</h1>
            <div class="row">
                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-md-4 mb-4">
                        <div class="card card-prod">
                            <img src="<?php echo e($product->image); ?>" class="card-img-top img-prod" alt="<?php echo e($product->name); ?>">
                            <div class="card-body">
                                <h5 class="card-title"><?php echo e($product->name); ?></h5>
                                <p class="card-text"><?php echo e($product->description); ?></p>

                                <div class="aling-itens-card">
                                    <?php if($product->is_promotion && $product->discount_percentage > 0): ?>
                                        <?php
                                            $discountedPrice =
                                                $product->price * (1 - $product->discount_percentage / 100);
                                        ?>
                                        <p class="card-text-valor">
                                            <div class="preco-promo">
                                            <span style="text-decoration: line-through; color: #888;">
                                                R$ <?php echo e(number_format($product->price, 2, ',', '.')); ?>

                                            </span>
                                            <strong style="color: red;">
                                                R$ <?php echo e(number_format($discountedPrice, 2, ',', '.')); ?>

                                            </strong>
                                        </div>
                                        </p>
                                    <?php else: ?>
                                        <p class="card-text-valor">
                                            R$ <?php echo e(number_format($product->price, 2, ',', '.')); ?>

                                        </p>
                                    <?php endif; ?>

                                    <form action="<?php echo e(route('cart.add', $product->id_product)); ?>" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="price"
                                            value="<?php echo e($product->is_promotion ? $discountedPrice : $product->price); ?>">
                                        <button type="submit" class="btn btn-primary">Adicionar ao Carrinho</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/001gerph/web/sistema.gerenciamentophp.com.br/public_html/resources/views/dashboard.blade.php ENDPATH**/ ?>